| Home | Libraries | People | FAQ | More

## Function template is_sorted

boost::algorithm::is_sorted

## Synopsis

    // In header: <boost/algorithm/cxx11/is_sorted.hpp>

    template<typename R, typename Pred>
      boost::lazy_disable_if_c< boost::is_same< R, Pred >::value, boost::mpl::identity< bool > >::type
      is_sorted(const R & range, Pred p);

## Description

Parameters:

`p` | A binary predicate that returns true if two elements are ordered.
`range` | The range to be tested.

Returns: | whether or not the entire range R is sorted (according to the comparison predicate 'p').